Forum Xamarin.Android

Error with out of the box: using Android.Support.V7.App;

YigalBYigalB Member ✭✭

Trying to learn Zamarin, I tried few YouTube tutorials. With all I failed to start. Error in MainActivity.CS:
the statement "using Android.Support.V7.App;" is reported to be not working.
There are few follow up errors with:
1- AppCompatActivity
2- SetContentView

I believe they are related to the first.
I use VS2017, community eddition.

Did I miss to install anything?

Best Answer

  • YigalBYigalB ✭✭
    Accepted Answer

    @YigalB said:

    @Jarvan said:

    Error with out of the box: using Android.Support.V7.App

    Try to update the Xamarin.Android.Support.Design package to 28.0.0.3, then clean the solution and rebuild.

    Thanks, I assume it is not installed at all. Shouldn't it be installed out of the box?
    How do I add this installation to VS2019?

    Sorry - I just found it under NuGet - 28.0.0.3 is installed.
    Yet Xamarin essentials was not installed. Now the problem seems to be solved.
    I had the same issue with VS2017 - isn';t it supposed to be out of the box ready?

    Thanks anyway

Answers

  • JarvanJarvan Member, Xamarin Team Xamurai

    Error with out of the box: using Android.Support.V7.App

    Try to update the Xamarin.Android.Support.Design package to 28.0.0.3, then clean the solution and rebuild.

    And to learn Xamarin.Android, you could check the official tutorial.
    https://docs.microsoft.com/en-us/xamarin/android/

  • YigalBYigalB Member ✭✭

    @Jarvan said:

    Error with out of the box: using Android.Support.V7.App

    Try to update the Xamarin.Android.Support.Design package to 28.0.0.3, then clean the solution and rebuild.

    Thanks, I assume it is not installed at all. Shouldn't it be installed out of the box?
    How do I add this installation to VS2019?

  • YigalBYigalB Member ✭✭
    Accepted Answer

    @YigalB said:

    @Jarvan said:

    Error with out of the box: using Android.Support.V7.App

    Try to update the Xamarin.Android.Support.Design package to 28.0.0.3, then clean the solution and rebuild.

    Thanks, I assume it is not installed at all. Shouldn't it be installed out of the box?
    How do I add this installation to VS2019?

    Sorry - I just found it under NuGet - 28.0.0.3 is installed.
    Yet Xamarin essentials was not installed. Now the problem seems to be solved.
    I had the same issue with VS2017 - isn';t it supposed to be out of the box ready?

    Thanks anyway

Sign In or Register to comment.